Subject: bug#32839: 27.0.50; recenter doesn't redisplay

From: Juri Linkov <[email-masked]>
Date: Tue, 25 Sep 2018 23:55:15 +0300

>> 5. Typein *scratch* again: C-l C-l C-l
>>    only when C-l puts point to the center of the window,
>>    the *Messages* buffer gets redisplayed (but then for some reason
>>    window-scroll-functions is not called in this case).
>
> That's a feature: you set recenter-redisplay to t, which causes a
> complete redraw of the frame when you type C-l.

I thought that recenter-redisplay set to t, which causes a complete
redraw of the frame, should also redraw the *Messages* buffer.

> And window-scroll-functions aren't called when the window is
> not scrolled.

I see that the window is scrolled while typing C-l C-l C-l ...
(recenter-top-bottom).  I tried in the middle of a large buffer
like 'C-h C-t' (view-emacs-todo).

The first C-l puts the current line in the middle, refreshes
the *Message* buffer, and displays the message in the echo area.

The second C-l puts the current line at the top, DOESN'T refresh
the *Message* buffer, but displays the message in the echo area.

The third C-l puts the current line at the bottom, DOESN'T refresh
the *Message* buffer, and DOESN'T display the message in the echo area,
which means window-scroll-functions is not called at all in this case.

All three have a different effect.